PHPExcel_Writer_Excel2007

category | PHPExcel
package | PHPExcel_Writer_2007
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Writer_Excel2007

    __construct(\PHPExcel $pPHPExcel)

### Parameters

#### $pPHPExcel

`\PHPExcel`

## Get PHPExcel_Style_Borders HashTable

    getBordersHashTable() : \PHPExcel_HashTable

### Returns

`\PHPExcel_HashTable`

## Get disk caching directory

    getDiskCachingDirectory() : string

Inherited

inherited_from | \PHPExcel_Writer_Abstract::getDiskCachingDirectory()

### Returns

`string`

## Get PHPExcel_Worksheet_BaseDrawing HashTable

    getDrawingHashTable() : \PHPExcel_HashTable

### Returns

`\PHPExcel_HashTable`

## Get PHPExcel_Style_Fill HashTable

    getFillHashTable() : \PHPExcel_HashTable

### Returns

`\PHPExcel_HashTable`

## Get PHPExcel_Style_Font HashTable

    getFontHashTable() : \PHPExcel_HashTable

### Returns

`\PHPExcel_HashTable`

## Write charts in workbook? If this is true, then the Writer will write definitions for any charts that exist in the PHPExcel object.

    getIncludeCharts() : boolean

Inherited

If false (the default) it will ignore any charts defined in the PHPExcel object.

inherited_from | \PHPExcel_Writer_Abstract::getIncludeCharts()

### Returns

`boolean`

## Get PHPExcel_Style_NumberFormat HashTable

    getNumFmtHashTable() : \PHPExcel_HashTable

### Returns

`\PHPExcel_HashTable`

## Get Office2003 compatibility

    getOffice2003Compatibility() : boolean

### Returns

`boolean`

## Get PHPExcel object

    getPHPExcel() : \PHPExcel

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel`

## Get Pre-Calculate Formulas flag If this is true (the default), then the writer will recalculate all formulae in a workbook when saving, so that the pre-calculated values are immediately available to MS Excel or other office spreadsheet viewer when opening the file If false, then formulae are not calculated on save.

    getPreCalculateFormulas() : boolean

Inherited

This is faster for saving in PHPExcel, but slower when opening the resulting file in MS Excel, because Excel has to recalculate the formulae itself

inherited_from | \PHPExcel_Writer_Abstract::getPreCalculateFormulas()

### Returns

`boolean`

## Get string table

    getStringTable() : string[]

### Returns

`string[]`

## Get PHPExcel_Style HashTable

    getStyleHashTable() : \PHPExcel_HashTable

### Returns

`\PHPExcel_HashTable`

## Get PHPExcel_Style_Conditional HashTable

    getStylesConditionalHashTable() : \PHPExcel_HashTable

### Returns

`\PHPExcel_HashTable`

## Get use disk caching where possible?

    getUseDiskCaching() : boolean

Inherited

inherited_from | \PHPExcel_Writer_Abstract::getUseDiskCaching()

### Returns

`boolean`

## Get writer part

    getWriterPart(string $pPartName) : \PHPExcel_Writer_Excel2007_WriterPart

### Parameters

#### $pPartName

`string`

Writer part name

### Returns

`\PHPExcel_Writer_Excel2007_WriterPart`

## Save PHPExcel to file

    save(string $pFilename)

@param string $pFilename Name of the file to save

### Parameters

#### $pFilename

`string`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Set write charts in workbook Set to true, to advise the Writer to include any charts that exist in the PHPExcel object.

    setIncludeCharts(boolean $pValue) : \PHPExcel_Writer_IWriter

Inherited

Set to false (the default) to ignore charts.

inherited_from | \PHPExcel_Writer_Abstract::setIncludeCharts()

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Writer_IWriter`

## Set Office2003 compatibility

    setOffice2003Compatibility(boolean $pValue) : \PHPExcel_Writer_Excel2007

### Parameters

#### $pValue

`boolean`

Office2003 compatibility?

### Returns

`\PHPExcel_Writer_Excel2007`

## Set PHPExcel object

    setPHPExcel(\PHPExcel $pPHPExcel) : \PHPExcel_Writer_Excel2007

### Parameters

#### $pPHPExcel

`\PHPExcel`

PHPExcel object

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Writer_Excel2007`

## Set Pre-Calculate Formulas Set to true (the default) to advise the Writer to calculate all formulae on save Set to false to prevent precalculation of formulae on save.

    setPreCalculateFormulas(boolean $pValue) : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Abstract::setPreCalculateFormulas()

### Parameters

#### $pValue

`boolean`

Pre-Calculate Formulas?

### Returns

`\PHPExcel_Writer_IWriter`

## Set use disk caching where possible?

    setUseDiskCaching(boolean $pValue, string $pDirectory) : \PHPExcel_Writer_Excel2007

Inherited

inherited_from | \PHPExcel_Writer_Abstract::setUseDiskCaching()

### Parameters

#### $pValue

`boolean`

#### $pDirectory

`string`

Disk caching directory

### Exceptions

`\PHPExcel_Writer_Exception` | when directory does not exist

### Returns

`\PHPExcel_Writer_Excel2007`

### Properties

##

    $_diskCachingDirectory : string

Inherited

inherited_from | \PHPExcel_Writer_Abstract::$$_diskCachingDirectory

##

    $_includeCharts : boolean

Inherited

inherited_from | \PHPExcel_Writer_Abstract::$$_includeCharts

##

    $_preCalculateFormulas : boolean

Overrides the default TRUE for this specific writer for performance reasons

##

    $_useDiskCaching : boolean

Inherited

inherited_from | \PHPExcel_Writer_Abstract::$$_useDiskCaching

##

    $_bordersHashTable : \PHPExcel_HashTable

##

    $_drawingHashTable : \PHPExcel_HashTable

##

    $_fillHashTable : \PHPExcel_HashTable

##

    $_fontHashTable : \PHPExcel_HashTable

##

    $_numFmtHashTable : \PHPExcel_HashTable

##

    $_office2003compatibility : boolean

##

    $_spreadSheet : \PHPExcel

##

    $_stringTable : string[]

##

    $_styleHashTable : \PHPExcel_HashTable

##

    $_stylesConditionalHashTable : \PHPExcel_HashTable

##

    $_writerParts : \PHPExcel_Writer_Excel2007_WriterPart[]